com.holonplatform.core.internal

## Class DefaultFinalPath<T>

- java.lang.Object
- - com.holonplatform.core.internal.DefaultPath<T>
  - - com.holonplatform.core.internal.DefaultFinalPath<T>

- Type Parameters:
    `T` - Path type
  All Implemented Interfaces:
    DataMappable, DataMappable.Builder<Path.PathBuilder<T>>, Expression, Path<T>, Path.Builder<T,Path.PathBuilder<T>>, Path.FinalPath<T>, Path.FinalPath.FinalPathBuilder<T>, Path.PathBuilder<T>, TypedExpression<T>, Serializable

      public class DefaultFinalPath<T>
      extends DefaultPath<T>
      implements Path.FinalPath.FinalPathBuilder<T>

  Default `FinalPath` implementation.
  Since:
    5.1.0
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Path.FinalPath

      `Path.FinalPath.FinalPathBuilder<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Path

      `Path.Builder<T,B extends Path.Builder<T,B>>, Path.FinalPath<T>, Path.PathBuilder<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Expression

      `Expression.ExpressionResolverFunction<E extends Expression,R extends Expression>, Expression.InvalidExpressionException`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.core.Path

      `PATH_HIERARCHY_SEPARATOR`

    - ### Fields inherited from interface com.holonplatform.core.DataMappable

      `DEFAULT_CONFIG_PROPERTY_PREFIX, PATH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultFinalPath(String name, Class<? extends T> type)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Path.PathBuilder<T>` | `parent(Path<?> parent)` Sets the parent path
    `String` | `toString()`

    - ### Methods inherited from class com.holonplatform.core.internal.DefaultPath

      `dataPath, getDataPath, getName, getParent, getType, validate`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.holonplatform.core.DataMappable.Builder

      `dataPath`

    - ### Methods inherited from interface com.holonplatform.core.Path.FinalPath

      `getParent, of`

    - ### Methods inherited from interface com.holonplatform.core.Path

      `fullName, fullName, getName, isRootPath, relativeName, relativeName, stream`

    - ### Methods inherited from interface com.holonplatform.core.TypedExpression

      `getTemporalType, getType, isCollectionExpression, isConverterExpression`

    - ### Methods inherited from interface com.holonplatform.core.Expression

      `validate`

    - ### Methods inherited from interface com.holonplatform.core.DataMappable

      `getDataPath, isDataMappable`

- - ### Constructor Detail

    - #### DefaultFinalPath

          public DefaultFinalPath(String name,
                                  Class<? extends T> type)

      Constructor.
      Parameters:
        `name` - Path name (not null)
        `type` - Path type (not null)

  - ### Method Detail

    - #### parent

          public Path.PathBuilder<T> parent(Path<?> parent)

      Description copied from interface: `Path.Builder`
      Sets the parent path
      Specified by:
        `parent` in interface `Path.Builder<T,Path.PathBuilder<T>>`
      Overrides:
        `parent` in class `DefaultPath<T>`
      Parameters:
        `parent` - The parent path to set
      Returns:
        this

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `DefaultPath<T>`

Copyright © 2019 The Holon Platform. All rights reserved.